
Infrastructure - Bug #7388

Event core index not authenticating users

2015-09-27 21:50 - Robert Waltz

Status: Closed Start date: 2015-09-27

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_solr_extensions Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

apache proxies solr. solr originally ran on tomcat with ssl enabled. with the upgrade to solr 5 and the use of jetty, ssl is no longer

enabled on solr.

Associated revisions

Revision 16465 - 2015-09-27 22:06 - Robert Waltz

refs #7388

Added debugging to review header information

Revision 16465 - 2015-09-27 22:06 - Robert Waltz

refs #7388

Added debugging to review header information

Revision 16478 - 2015-09-29 12:44 - Robert Waltz

refs #7388

add in forwarding of ssl session information via http headers.

Revision 16478 - 2015-09-29 12:44 - Robert Waltz

refs #7388

add in forwarding of ssl session information via http headers.

Revision 16479 - 2015-09-29 12:47 - Robert Waltz

closes #7388

ssl session information forwarded via http headers from apache. the headers are then transferred to ssl java attributes. the x509 cert needs to be

composed as an x509Cert object.

Revision 16479 - 2015-09-29 12:47 - Robert Waltz

closes #7388

ssl session information forwarded via http headers from apache. the headers are then transferred to ssl java attributes. the x509 cert needs to be
composed as an x509Cert object.

Revision 16480 - 2015-09-29 13:50 - Robert Waltz

refs #7388

if condition in wrong place, need to wipe parameter keys before validating ssl properties.

Revision 16480 - 2015-09-29 13:50 - Robert Waltz

refs #7388

if condition in wrong place, need to wipe parameter keys before validating ssl properties.

History

#1 - 2015-09-27 21:51 - Robert Waltz

- Subject changed from Event Log index not authenticating users to Event core index not authenticating users

#2 - 2015-09-29 14:21 - Robert Waltz

- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 2015-09-29 14:52 - Robert Waltz

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

Applied in changeset java-client:d1client|r16479.
